--- title: "Get channel event" slug: "vodstation-channel-event" tags: ["VOD Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vodstation-channel-event" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get channel event Available in Classic and VPC Get an event occurred in a channel. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/channels/{channelId}/events | ### Request headers For information about the headers common to all VOD Station APIs, see [VOD Station request headers](/docs/en/vodstation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/vodstation-channel-list). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSizeNo` | Integer | Optional | Number of items per page - 1-N (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vodstation.apigw.ntruss.com/api/v2/channels/vs-20250821095732-*******/events' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Array | - | Channel event list: [content](/docs/en/vodstation-channel-event#content) | | `total` | Integer | - | Total response count | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `time` | Integer | - | Event occurrence date and time (second) - Unix timestamp format | | `actionType` | String | - | Event action type - `CREATE` \| `START` \| `STOP` \| `DELETE` - `CREATE`: Create channel - `START`: Start channel - `STOP`: Stop channel - `DELETE`: Delete channel | | `requestType` | String | - | Event action request type - `MC` \| `API` \| `MCC` - `MC`: Console - `API`: Open API - `MCC`: Media Connect Center | | `resultCode` | String | - | Event action success status - `SUCCESS` \| `FAILED` - `SUCCESS`: Succeeded - `FAILED`: Failed | | `messageCode` | String | - | Event message code | | `message` | String | - | Event message details | ### Response status codes For information about the HTTP status codes common to all VOD Station APIs, see [VOD Station response status codes](/docs/en/vodstation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": [ { "time": 1755758700, "actionType": "START", "requestType": "API", "resultCode": "SUCCESS", "messageCode": "CHANNEL_START_TO_READY", "message": "ch-media-encrypt ready" }, { "time": 1755758665, "actionType": "START", "requestType": "API", "resultCode": "SUCCESS", "messageCode": "CHANNEL_STOPPED_TO_STARTING", "message": "ch-media-encrypt starting" }, { "time": 1755757440, "actionType": "STOP", "requestType": "MC", "resultCode": "SUCCESS", "messageCode": "CHANNEL_STOPPING_TO_STOPPED", "message": "ch-media-encrypt stopped" }, { "time": 1755757435, "actionType": "STOP", "requestType": "MC", "resultCode": "SUCCESS", "messageCode": "CHANNEL_READY_TO_STOPPING", "message": "ch-media-encrypt stopping" }, { "time": 1755737880, "actionType": "CREATE", "requestType": "API", "resultCode": "SUCCESS", "messageCode": "CHANNEL_READY", "message": "ch-media-encrypt ready" }, { "time": 1755737852, "actionType": "CREATE", "requestType": "API", "resultCode": "SUCCESS", "messageCode": "CHANNEL_CREATING", "message": "ch-media-encrypt creating" } ], "total": 6 } ```